Subject: Re: [Gen-art] [6lo] Genart last call review of draft-ietf-6lo-deadline-time-03

From: "Carles Gomez Montenegro" <[email-masked]>
Date: Fri, 5 Apr 2019 16:43:12 +0200

Dear Dale,

Thanks for reviewing draft-ietf-6lo-deadline-time-03.

Authors of draft-ietf-6lo-deadline-time recently produced revision -04 of
the draft, based on a number of comments received, including yours:
https://datatracker.ietf.org/doc/draft-ietf-6lo-deadline-time/

Do you think -04 satisfies your previous concerns?

Thanks,

Shwetha and Carles (6lo co-chairs)

> Hello Dale,
>
> I made some brief follow-up to your comments inline below.Â  I think we
> are in agreement about what needs to be done.
>
> On 2/14/2019 6:37 PM, Dale R. Worley wrote:
>> Charlie Perkins <[email-masked]> writes:
>>> I'm not sure about this because even in 6TiSCH networks, one could
>>> imagine using NTP-based time representations.  Besides that, we'd
>>> really
>>> like to avoid restricting the use of the Deadline-6LoRHE to only
>>> 6TiSCH.
>> I agree that one could imagine any number of schemes, and in the long
>> run, broad use of Deadline-6LoRHE is desirable.  But that doesn't change
>> the fact that while the draft purports to define the meaning of three
>> values of the TU field, for two of those values, the draft doesn't
>> specify what zero-point is being used for the time scale, and so
>> implementations using those values cannot ensure interoperation.
>>
>> Now if what you really mean is "NTP time scale in microseconds" and "NTP
>> time scale in seconds", those *are* definitions.  But that's not what
>> the
>> draft says.
>
>
> We have revamped the way of representing the deadline time and optional
> origination time, and I think it will resolve your comments here.Â  In a
> nutshell, we are following the recommendations in
> draft-ietf-ntp-packet-timestamps.
>
>
>> ...
>>> We will rework the time representation and show a proposed new format
>>> soon.  I agree that, if both values are present, one should be a delta
>>> from the other.
>> The way you write that suggests that either or both of the times can be
>> present.  But the deadline time is not optional.  So if the origination
>> time is present, both times are present.
>
>
> Agreed, and the new revision will make this clear as well.
>
> Regards,
> Charlie P.
>
>
> _______________________________________________
> 6lo mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/6lo
>